JHPCData (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.html
Class JHPCData

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.html.JHElement
          edu.harvard.hul.ois.jhove.module.html.JHPCData

    public class JHPCData

extends JHElement

Representation of parsed HTML PCDATA.

Author:
  Gary McGath

Field Summary
`java.lang.String` | `_text`

Fields inherited from class edu.harvard.hul.ois.jhove.module.html.JHElement
`_column, _line`

Constructor Summary
`JHPCData(java.util.List elements, java.lang.String text, int line, int column)` Constructor.

Method Summary
`protected void` | `processPCData(HtmlStack elementStack, HtmlMetadata metadata)` Extracts metadata and entities from the PCData object and its stack context.

Methods inherited from class edu.harvard.hul.ois.jhove.module.html.JHElement
`getColumn, getEntities, getLine`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _text

    public java.lang.String _text

Constructor Detail

### JHPCData

    public JHPCData(java.util.List elements,
                    java.lang.String text,
                    int line,
                    int column)

  Constructor.

  Parameters:
    `elements` - The list of parsed elements, to which this gets added. May be null for a stub element not generated by the parser.
    `text` - The name of the tag
    `line` - Line number, for information reporting
    `column` - Line number, for information reporting

Method Detail

### processPCData

    protected void processPCData(HtmlStack elementStack,
                                 HtmlMetadata metadata)

  Extracts metadata and entities from the PCData object and its stack context.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD